\documentclass[french,11pt,a4paper]{article}
\usepackage[utf8]{inputenc}
\usepackage[french]{babel}
\usepackage[T1]{fontenc}
\usepackage{lmodern}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{amsthm}
\usepackage{mathrsfs}
\usepackage{comment}
\usepackage{tikz}
\usepackage{tikzsymbols}
\usepackage{tabularx}
\usepackage{tkz-tab}
\usepackage[babel=true,kerning=true]{microtype}
\usepackage{enumerate}
\usepackage{fancybox}
\usepackage{hyperref}
\usepackage{fancyhdr}
\usepackage{multirow}
\usepackage{multicol}
\usepackage{listings} %% coloration syntaxique
\usepackage{fancyvrb}
\usepackage{lastpage} %% Pour obtenir le nombre de page
\usepackage[left=1.8cm,right=1.8cm,top=1.4cm,bottom=1.2cm]{geometry}

%% Coloration syntaxique
\definecolor{mygreen}{rgb}{0,0.5,0}
\definecolor{mygray}{rgb}{0.5,0.5,0.5}
\definecolor{mymauve}{rgb}{0.58,0,0.82}

\DeclareFixedFont{\ttb}{T1}{txtt}{bx}{n}{12} % for bold
\DeclareFixedFont{\ttm}{T1}{txtt}{m}{n}{12}  % for normal

\lstset{
  backgroundcolor=\color{white},
  basicstyle=\ttm,        % the size of the fonts that are used for the code
  breakatwhitespace=false,         % sets if automatic breaks should only happen at whitespace
  breaklines=true,                 % sets automatic line breaking
  captionpos=b,                    % sets the caption-position to bottom
  commentstyle=\color{mygreen},    % comment style
  % columns=fixed,
  firstnumber=0,                   % start line enumeration with line 1000
  frame=lines,	                   % adds a frame around the code
  framesep=3pt,
  keepspaces=true,                 % keeps spaces in text, useful for keeping indentation of code (possibly needs columns=flexible)
  escapeinside={\%*}{*)},
  keywordstyle=\ttb\color{blue},       % keyword style
  language=Python,                 % the language of the code
  morekeywords={...},            % if you want to add more keywords to the set
  numbers=left,                    % where to put the line-numbers; possible values are (none, left, right)
  numbersep=5pt,                   % how far the line-numbers are from the code
  numberstyle=\tiny\color{mygray}, % the style that is used for the line-numbers
  rulecolor=\color{black},         % if not set, the frame-color may be changed on line-breaks within not-black text (e.g. comments (green here))
  showstringspaces=false,          % underline spaces within strings only
  showtabs=false,                  % show tabs within strings adding particular underscores
  stringstyle=\color{mymauve},     % string literal style
  aboveskip=10pt,
  belowskip=-8pt,
  tabsize=2,	                     % sets default tabsize to 2 spaces
  title=\lstname                   % show the filename of files included with \lstinputlisting; also try caption instead of title
}

\lstset{literate=
  {á}{{\'a}}1 {é}{{\'e}}1 {í}{{\'i}}1 {ó}{{\'o}}1 {ú}{{\'u}}1
  {Á}{{\'A}}1 {É}{{\'E}}1 {Í}{{\'I}}1 {Ó}{{\'O}}1 {Ú}{{\'U}}1
  {à}{{\`a}}1 {è}{{\`e}}1 {ì}{{\`i}}1 {ò}{{\`o}}1 {ù}{{\`u}}1
  {À}{{\`A}}1 {È}{{\'E}}1 {Ì}{{\`I}}1 {Ò}{{\`O}}1 {Ù}{{\`U}}1
  {ä}{{\"a}}1 {ë}{{\"e}}1 {ï}{{\"i}}1 {ö}{{\"o}}1 {ü}{{\"u}}1
  {Ä}{{\"A}}1 {Ë}{{\"E}}1 {Ï}{{\"I}}1 {Ö}{{\"O}}1 {Ü}{{\"U}}1
  {â}{{\^a}}1 {ê}{{\^e}}1 {î}{{\^i}}1 {ô}{{\^o}}1 {û}{{\^u}}1
  {Â}{{\^A}}1 {Ê}{{\^E}}1 {Î}{{\^I}}1 {Ô}{{\^O}}1 {Û}{{\^U}}1
  {Ã}{{\~A}}1 {ã}{{\~a}}1 {Õ}{{\~O}}1 {õ}{{\~o}}1
  {œ}{{\oe}}1 {Œ}{{\OE}}1 {æ}{{\ae}}1 {Æ}{{\AE}}1 {ß}{{\ss}}1
  {ű}{{\H{u}}}1 {Ű}{{\H{U}}}1 {ő}{{\H{o}}}1 {Ő}{{\H{O}}}1
  {ç}{{\c c}}1 {Ç}{{\c C}}1 {ø}{{\o}}1 {å}{{\r a}}1 {Å}{{\r A}}1
  {€}{{\euro}}1 {£}{{\pounds}}1 {«}{{\guillemotleft}}1
  {»}{{\guillemotright}}1 {ñ}{{\~n}}1 {Ñ}{{\~N}}1 {¿}{{?`}}1
}

\lstdefinestyle{py_console} {
  numbers=none
}


\begin{document}


\pagestyle{fancy}
\lhead{\textit{Projet: Simulateur de machine de Turing}}
\chead{}
\rhead{LSIN 608 UVSQ}
\lfoot{}
\cfoot{Page \thepage / \pageref{LastPage}}
\rfoot{}
\renewcommand{\headrulewidth}{0.4pt}
\renewcommand{\footrulewidth}{0.4pt}


\leavevmode
\vfill

\begin{center}
\shadowbox{\begin{minipage}{13cm}
\begin{center}
  \bigskip
\Huge{{\fontfamily{ptm}\selectfont{ Projet: \\ Simulateur de machine de Turing \\ Rapport final}}}

  \bigskip
\end{center}
\end{minipage}}
\end{center}

\vfill
\Large{ \textbf{Auteurs:}}

\begin{itemize}
  \item Helmi Abed
  \item Tahar Azouaoui
  \item Louis Leskow
  \item Mohamed Louiba
  \item Farah Mahrez
  \item Ahmed Saadi
  \item Wissem Sassi
  \item Martin Sohier
\end{itemize}

\vfill

\newpage

\normalsize

\section{Modifications apportées par rapport aux spécifications}


\begin{itemize}
    \item Le type Transition est passé de \lstinline{Transition = Tuple[Clef, Valeur]} à \lstinline{Transition = Tuple[Clef, Valeur, bool, bool]}.
    Les deux booléens servant de drapeaux pour indiquer si l'état initial et
    les états initiaux. Cette information n'était pas transmise autrement.
\end{itemize}
\end{document}
